<?php
/**
 * Clase Base Bean para BaseCrBusquedaBN
 *
 * @package    Sedapal
 * @subpackage BaseCrBusquedaBN
 * @author     Willy
 * @version    SVN:: BaseCrBusquedaBN.class.php,v 1.1 2022-01-08 00:36:42 william.taype Exp $
 */
abstract class BaseCrBusquedaBN
{
  protected $Idbusqueda;
  protected $Tipobusqueda;
  protected $Documento;
  protected $Nombrecompleto;
  protected $Origenbusqueda;
  protected $Fechaemision;
  protected $Fechacaducidad;
  protected $Estado;
  protected $Idcliente;
  protected $Fechaasociarbusqueda;
  protected $Tramaresultado;
  protected $Fechacreacion;
  protected $Usuariocreacion;
  protected $Token;
  protected $Mensaje;
  protected $Error;

  public function getIdbusqueda(){
    return $this->Idbusqueda;
  }
  public function setIdbusqueda($v1){
    $this->Idbusqueda = $v1; 
  }

  public function getTipobusqueda(){
    return $this->Tipobusqueda;
  }
  public function setTipobusqueda($v1){
    $this->Tipobusqueda = $v1; 
  }

  public function getDocumento(){
    return $this->Documento;
  }
  public function setDocumento($v1){
    $this->Documento = $v1; 
  }

  public function getNombrecompleto(){
    return $this->Nombrecompleto;
  }
  public function setNombrecompleto($v1){
    $this->Nombrecompleto = $v1; 
  }

  public function getOrigenbusqueda(){
    return $this->Origenbusqueda;
  }
  public function setOrigenbusqueda($v1){
    $this->Origenbusqueda = $v1; 
  }

  public function getFechaemision(){
    return $this->Fechaemision;
  }
  public function setFechaemision($v1){
    $this->Fechaemision = $v1; 
  }

  public function getFechacaducidad(){
    return $this->Fechacaducidad;
  }
  public function setFechacaducidad($v1){
    $this->Fechacaducidad = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getIdcliente(){
    return $this->Idcliente;
  }
  public function setIdcliente($v1){
    $this->Idcliente = $v1; 
  }

  public function getFechaasociarbusqueda(){
    return $this->Fechaasociarbusqueda;
  }
  public function setFechaasociarbusqueda($v1){
    $this->Fechaasociarbusqueda = $v1; 
  }

  public function getTramaresultado(){
    return $this->Tramaresultado;
  }
  public function setTramaresultado($v1){
    $this->Tramaresultado = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getToken(){
    return $this->Token;
  }
  public function setToken($v1){
    $this->Token = $v1; 
  }
  
  public function getHistorico(){
    return $this->Historico;
  }
  public function setHistorico($v1){
    $this->Historico = $v1; 
  }

  public function getUsuariohistorico(){
    return $this->Usuariohistorico;
  }
  public function setUsuariohistorico($v1){
    $this->Usuariohistorico = $v1; 
  }
  
   public function getFechahistorico(){
    return $this->Fechahistorico;
  }
  public function setFechahistorico($v1){
    $this->Fechahistorico = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_busquedaBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_busquedaRs )
  {
    $o_CrBusquedaBN = new CrBusquedaBN();
    $o_CrBusquedaBN->setIdbusqueda( $o_Cr_busquedaRs['idbusqueda'] );
    $o_CrBusquedaBN->setTipobusqueda( $o_Cr_busquedaRs['tipobusqueda'] );
    $o_CrBusquedaBN->setDocumento( $o_Cr_busquedaRs['documento'] );
    $o_CrBusquedaBN->setNombrecompleto( $o_Cr_busquedaRs['nombrecompleto'] );
    $o_CrBusquedaBN->setOrigenbusqueda( $o_Cr_busquedaRs['origenbusqueda'] );
    $o_CrBusquedaBN->setFechaemision( $o_Cr_busquedaRs['fechaemision'] );
    $o_CrBusquedaBN->setFechacaducidad( $o_Cr_busquedaRs['fechacaducidad'] );
    $o_CrBusquedaBN->setEstado( $o_Cr_busquedaRs['estado'] );
    $o_CrBusquedaBN->setIdcliente( $o_Cr_busquedaRs['idcliente'] );
    $o_CrBusquedaBN->setFechaasociarbusqueda( $o_Cr_busquedaRs['fechaasociarbusqueda'] );
    $o_CrBusquedaBN->setTramaresultado( $o_Cr_busquedaRs['tramaresultado'] );
    $o_CrBusquedaBN->setFechacreacion( $o_Cr_busquedaRs['fechacreacion'] );
    $o_CrBusquedaBN->setUsuariocreacion( $o_Cr_busquedaRs['usuariocreacion'] );
    $o_CrBusquedaBN->setToken( $o_Cr_busquedaRs['token'] );
    return $o_CrBusquedaBN;
  }
}